Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.binding
[Groovy] Class GormAwareDataBindingListener

    java.lang.Object
      org.grails.databinding.events.DataBindingListenerAdapter
          org.codehaus.groovy.grails.web.binding.GormAwareDataBindingListener

    @groovy.transform.CompileStatic
    class GormAwareDataBindingListener
    extends DataBindingListenerAdapter

Constructor Summary
`GormAwareDataBindingListener(org.springframework.validation.BindingResult bindingResult)`

Method Summary
`void` | `bindingError(BindingError error)`
`protected java.lang.Object[]` | `getArgumentsForBindError(java.lang.String objectName, java.lang.String field)`

Methods inherited from class DataBindingListenerAdapter
afterBinding, beforeBinding, bindingError

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GormAwareDataBindingListener

    GormAwareDataBindingListener(org.springframework.validation.BindingResult bindingResult)

Method Detail

### bindingError

    @java.lang.Override
    void bindingError(BindingError error)

### getArgumentsForBindError

    protected java.lang.Object[] getArgumentsForBindError(java.lang.String objectName, java.lang.String field)

Groovy Documentation